Subject: Re: [BUG] netxen: Stops working between 2.6.30 and 2.6.31-rc1

From: [email-masked] (Eric W. Biederman)
Date: Fri, 20 Nov 2009 10:21:05 -0800

Dhananjay Phadke <[email-masked]> writes:

> Eric W. Biederman wrote:
>> MSI-X uses the same messages on the wire is the same as MSI it is
>> only the programming interface that is different.  So if MSI works and
>> MSI-X does not it is not a platform problem.
>>
>
> Sure, but firmware and driver see it differently. IMO, this points to some
> firmware issue (which is why I asked him to get right version from right
> source). All that driver did was tried to enable msi-x, from my testing, I can
> tell that both msi and msix work on all revisions of the nic asic, but firmware
> revision can make a difference. For chiprev 0x25, 3.4.339 is the right firmware
> version.

Sorry I meant that only as a clarification, not to derail the conversation.
This does sound like a firmware mismatch issue to me as well.

Eric